package com.zcloud.primeport.domain.gateway;

import com.zcloud.primeport.domain.model.VehicleApplyE;

import javax.validation.constraints.NotEmpty;

/**
 * web-domain
 *
 * @Author makejava
 * @Date 2026-03-05 11:33:23
 */
public interface VehicleApplyGateway {

    /**
     * 新增
     */
    VehicleApplyE add(VehicleApplyE vehicleApplyE);

    /**
     * 修改
     */
    Boolean update(VehicleApplyE vehicleApplyE);

    /**
     * 删除
     */
    Boolean deletedVehicleApplyById(Long id);

    Boolean deletedVehicleApplyByIds(Long[] id);
    VehicleApplyE getById(Long id);

    void updateEvehicleBlockedByLicenceNo(String licenceNo, Integer blockedFlag);

    void updateBlackFlag(VehicleApplyE vehicleApplyE);
}

